# $Revision: 1.3 $, $Date: 2012/01/14 00:24:41 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Class
%define		pnam	Unload
%include	/usr/lib/rpm/macros.perl
Summary:	Class::Unload - Unload a class
Name:		perl-Class-Unload
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c6a7fd628bf7a48c3374747257eb90ad
URL:		http://search.cpan.org/dist/Class-Unload/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Inspector
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unloads the given class by clearing out its symbol table and removing
it from INC hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Unload.spec,v $
Revision 1.3  2012/01/14 00:24:41  zbyniu
- up to 0.07

Revision 1.2  2011/02/02 19:40:09  glen
- change desc so rpmlint won't be thinking of unexpanded macro

Revision 1.1  2009/01/11 14:07:54  radek
- new
